Bug 1475628 - [abrt] cinnamon-settings-daemon: _g_log_abort(): csd-keyboard killed by signal 5
[abrt] cinnamon-settings-daemon: _g_log_abort(): csd-keyboard killed by signal 5
Status: NEW
Product: Fedora
Classification: Fedora
Component: cinnamon-settings-daemon (Show other bugs)
26
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Alternative GTK desktop environments
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:353c1382bbe90cfcc651a4d60cd...
:
: 1478649 1478654 1478701 1483000 1484814 1486114 1487863 1488029 1491563 1493230 1497478 1500913 1505382 1508990 1512908 1529726 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-26 23:24 EDT by Dmitry Dyachenko
Modified: 2018-05-03 04:34 EDT (History)
24 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (34.98 KB, text/plain)
2017-07-26 23:24 EDT, Dmitry Dyachenko
no flags Details
File: cgroup (289 bytes, text/plain)
2017-07-26 23:24 EDT, Dmitry Dyachenko
no flags Details
File: core_backtrace (12.85 KB, text/plain)
2017-07-26 23:24 EDT, Dmitry Dyachenko
no flags Details
File: cpuinfo (1.34 KB, text/plain)
2017-07-26 23:24 EDT, Dmitry Dyachenko
no flags Details
File: dso_list (8.86 KB, text/plain)
2017-07-26 23:24 EDT, Dmitry Dyachenko
no flags Details
File: environ (1.59 KB, text/plain)
2017-07-26 23:24 EDT, Dmitry Dyachenko
no flags Details
File: limits (1.29 KB, text/plain)
2017-07-26 23:24 EDT, Dmitry Dyachenko
no flags Details
File: maps (36.86 KB, text/plain)
2017-07-26 23:24 EDT, Dmitry Dyachenko
no flags Details
File: open_fds (764 bytes, text/plain)
2017-07-26 23:24 EDT, Dmitry Dyachenko
no flags Details
File: proc_pid_status (1.26 KB, text/plain)
2017-07-26 23:24 EDT, Dmitry Dyachenko
no flags Details
File: var_log_messages (312 bytes, text/plain)
2017-07-26 23:24 EDT, Dmitry Dyachenko
no flags Details

  None (edit)
Description Dmitry Dyachenko 2017-07-26 23:24:22 EDT
Description of problem:
reboot after update

Version-Release number of selected component:
cinnamon-settings-daemon-3.4.2-1.fc26

Additional info:
reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/libexec/csd-keyboard
crash_function: _g_log_abort
executable:     /usr/libexec/csd-keyboard
journald_cursor: s=291df698726c481892099a59504cbdbe;i=44b5e;b=8a71164afd774008ab483fe99aca156c;m=270ab12;t=5554407ecf4a6;x=3e087338aff0f082
kernel:         4.11.11-300.fc26.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 _g_log_abort at gmessages.c:549
 #1 g_log_writer_default at gmessages.c:2613
 #2 g_log_structured_array at gmessages.c:1933
 #3 g_log_structured at gmessages.c:1760
 #10 XGetWindowProperty at GetProp.c:69
 #11 read_settings at xsettings-client.c:426
 #12 gdk_xsettings_manager_window_filter at xsettings-client.c:606
 #13 gdk_event_apply_filters at gdkeventsource.c:79
 #14 gdk_event_source_translate_event at gdkeventsource.c:205
 #15 _gdk_x11_display_queue_events at gdkeventsource.c:341

Potential duplicate: bug 1452054
Comment 1 Dmitry Dyachenko 2017-07-26 23:24:26 EDT
Created attachment 1305156 [details]
File: backtrace
Comment 2 Dmitry Dyachenko 2017-07-26 23:24:28 EDT
Created attachment 1305157 [details]
File: cgroup
Comment 3 Dmitry Dyachenko 2017-07-26 23:24:29 EDT
Created attachment 1305158 [details]
File: core_backtrace
Comment 4 Dmitry Dyachenko 2017-07-26 23:24:31 EDT
Created attachment 1305159 [details]
File: cpuinfo
Comment 5 Dmitry Dyachenko 2017-07-26 23:24:33 EDT
Created attachment 1305160 [details]
File: dso_list
Comment 6 Dmitry Dyachenko 2017-07-26 23:24:34 EDT
Created attachment 1305161 [details]
File: environ
Comment 7 Dmitry Dyachenko 2017-07-26 23:24:35 EDT
Created attachment 1305162 [details]
File: limits
Comment 8 Dmitry Dyachenko 2017-07-26 23:24:37 EDT
Created attachment 1305163 [details]
File: maps
Comment 9 Dmitry Dyachenko 2017-07-26 23:24:39 EDT
Created attachment 1305164 [details]
File: open_fds
Comment 10 Dmitry Dyachenko 2017-07-26 23:24:40 EDT
Created attachment 1305165 [details]
File: proc_pid_status
Comment 11 Dmitry Dyachenko 2017-07-26 23:24:42 EDT
Created attachment 1305166 [details]
File: var_log_messages
Comment 12 johan 2017-08-05 12:02:41 EDT
*** Bug 1478649 has been marked as a duplicate of this bug. ***
Comment 13 mindsetice 2017-08-05 12:49:11 EDT
*** Bug 1478654 has been marked as a duplicate of this bug. ***
Comment 14 xactivist 2017-08-06 05:25:01 EDT
*** Bug 1478701 has been marked as a duplicate of this bug. ***
Comment 15 xactivist 2017-08-09 19:23:25 EDT
Similar problem has been detected:

On startup

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/libexec/csd-keyboard
crash_function: _g_log_abort
executable:     /usr/libexec/csd-keyboard
journald_cursor: s=885ec3e49c5049f4a607e187c21f2d70;i=3f72;b=b38f43734dfb4d259d871bd5e027ade7;m=2105730;t=5565a495e3ea2;x=a9dc34890b53ffa3
kernel:         4.11.11-300.fc26.x86_64
package:        cinnamon-settings-daemon-3.4.2-1.fc26
reason:         csd-keyboard killed by signal 5
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 16 Dan 2017-08-18 10:43:28 EDT
*** Bug 1483000 has been marked as a duplicate of this bug. ***
Comment 17 Carlos Neto 2017-08-24 06:49:46 EDT
*** Bug 1484814 has been marked as a duplicate of this bug. ***
Comment 18 javier 2017-08-29 01:09:17 EDT
*** Bug 1486114 has been marked as a duplicate of this bug. ***
Comment 19 flashl 2017-09-02 13:58:52 EDT
*** Bug 1487863 has been marked as a duplicate of this bug. ***
Comment 20 Samyn 2017-09-04 03:36:41 EDT
*** Bug 1488029 has been marked as a duplicate of this bug. ***
Comment 21 xactivist 2017-09-14 03:29:06 EDT
*** Bug 1491563 has been marked as a duplicate of this bug. ***
Comment 22 Duncan Grisby 2017-09-16 07:49:55 EDT
Similar problem has been detected:

I just logged in after a reboot following a package update. After login I was notified of the crash.

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/libexec/csd-keyboard
crash_function: _g_log_abort
executable:     /usr/libexec/csd-keyboard
journald_cursor: s=86d9c54c29094d41a5c189faf6e74773;i=584fa1;b=e167309113024cfeaccd1a4ad301d713;m=7d3a50f;t=5594d0392c9c5;x=281e683295f63375
kernel:         4.12.12-300.fc26.x86_64
package:        cinnamon-settings-daemon-3.4.4-3.fc26
reason:         csd-keyboard killed by signal 5
rootdir:        /
runlevel:       unknown
type:           CCpp
uid:            1000
Comment 23 peacengell 2017-09-19 12:26:49 EDT
*** Bug 1493230 has been marked as a duplicate of this bug. ***
Comment 24 Kjeld Olsen 2017-09-30 17:35:00 EDT
*** Bug 1497478 has been marked as a duplicate of this bug. ***
Comment 25 Dmitry Dyachenko 2017-10-02 09:46:28 EDT
Similar problem has been detected:

reboot after cinnamon crash

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/libexec/csd-keyboard
crash_function: _g_log_abort
executable:     /usr/libexec/csd-keyboard
journald_cursor: s=291df698726c481892099a59504cbdbe;i=ed990;b=75fb21debbb8413aa091b160d4df90ab;m=29c4f49;t=55a908b8a8e59;x=f1a4849a51615267
kernel:         4.12.14-300.fc26.x86_64
package:        cinnamon-settings-daemon-3.4.4-3.fc26
reason:         csd-keyboard killed by SIGTRAP
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 26 peacengell 2017-10-11 13:44:39 EDT
*** Bug 1500913 has been marked as a duplicate of this bug. ***
Comment 27 Sanshiro 2017-10-23 09:16:22 EDT
*** Bug 1505382 has been marked as a duplicate of this bug. ***
Comment 28 Alexander Andreev 2017-11-02 11:57:47 EDT
*** Bug 1508990 has been marked as a duplicate of this bug. ***
Comment 29 Duncan Grisby 2017-11-05 17:59:51 EST
Similar problem has been detected:

It crashes as I logged in.

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/libexec/csd-keyboard
crash_function: _g_log_abort
executable:     /usr/libexec/csd-keyboard
journald_cursor: s=86d9c54c29094d41a5c189faf6e74773;i=728309;b=0cf9610807a84cee854fe43996b78caa;m=111226bbeab;t=55d441622893b;x=4121bb8db08970e8
kernel:         4.13.5-200.fc26.x86_64
package:        cinnamon-settings-daemon-3.4.4-3.fc26
reason:         csd-keyboard killed by SIGTRAP
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 30 JS 2017-11-14 07:24:28 EST
*** Bug 1512908 has been marked as a duplicate of this bug. ***
Comment 31 Fred Wimberly 2017-12-29 11:50:39 EST
*** Bug 1529726 has been marked as a duplicate of this bug. ***
Comment 32 Fedora End Of Life 2018-05-03 04:34:17 EDT
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Note You need to log in before you can comment on or make changes to this bug.